/**
 * Turn an MDX JSX element node into an estree node.
 *
 * @param {MdxJsxFlowElement | MdxJsxTextElement} node
 *   hast node to transform.
 * @param {State} state
 *   Info passed around about the current state.
 * @returns {JsxElement | JsxFragment}
 *   JSX element or fragment.
 */
export function mdxJsxElement(node: MdxJsxFlowElement | MdxJsxTextElement, state: State): JsxElement | JsxFragment;
import type { MdxJsxFlowElementHast as MdxJsxFlowElement } from 'mdast-util-mdx-jsx';
import type { MdxJsxTextElementHast as MdxJsxTextElement } from 'mdast-util-mdx-jsx';
import type { State } from 'hast-util-to-estree';
import type { JSXElement as JsxElement } from 'estree-jsx';
import type { JSXFragment as JsxFragment } from 'estree-jsx';
//# sourceMappingURL=mdx-jsx-element.d.ts.map